class Profile {
    readonly name: string;
    private imageUrl: string;
    statuses: string[];

    constructor(initialName: string, initialImage: string) {
        this.name = initialName;
        this.imageUrl = initialImage;
        this.statuses = [];
    }

    getImage(): string {
        return this.imageUrl;
    }

    setImage(newImage: string): boolean {
        let valid = isValidUrl(newImage);
        if(valid) {
            this.imageUrl = newImage;
        }
        return valid;
    }

    addStatus(newStatus: string): void {
        this.statuses.push(newStatus);
    }
}

let jonathan = new Profile("Jonathan Kula", "https://image.url/");
// jonathan.name = "Aluk Nahtanoj";  // Won't work -- Profile::name is read-only.